Ruby: _OnigStackType Struct Reference

Ruby 3.4.8p72 (2025-12-17 revision 995b59f66677d44767ce9faac6957e5543617ff9)

Data Fields
_OnigStackType Struct Reference

## Data Fields
unsigned int | type
OnigStackIndex | null_check
union { |
struct { |
UChar * pcode |
UChar * pstr |
UChar * pstr_prev |
UChar * pkeep |
} state |
struct { |
int count |
UChar * pcode |
int num |
} repeat |
struct { |
OnigStackIndex si |
} repeat_inc |
struct { |
int num |
UChar * pstr |
OnigStackIndex start |
OnigStackIndex end |
} mem |
struct { |
int num |
UChar * pstr |
} null_check |
struct { |
UChar * ret_addr |
int num |
UChar * pstr |
} call_frame |
struct { |
UChar * abs_pstr |
const UChar * end_pstr |
} absent_pos |
struct { |
long index |
uint8_t mask |
} match_cache_point |
} | u |

## Detailed Description

Definition at line 835 of file regint.h.

## Field Documentation

## ◆ abs_pstr

UChar* _OnigStackType::abs_pstr

Definition at line 875 of file regint.h.

## ◆ count

int _OnigStackType::count

Definition at line 849 of file regint.h.

## ◆ end

OnigStackIndex _OnigStackType::end

Definition at line 861 of file regint.h.

## ◆ end_pstr

const UChar* _OnigStackType::end_pstr

Definition at line 876 of file regint.h.

## ◆ index

long _OnigStackType::index

Definition at line 880 of file regint.h.

## ◆ mask

uint8_t _OnigStackType::mask

Definition at line 881 of file regint.h.

## ◆ null_check

OnigStackIndex _OnigStackType::null_check

Definition at line 837 of file regint.h.

## ◆ num

int _OnigStackType::num

Definition at line 851 of file regint.h.

## ◆ pcode

UChar* _OnigStackType::pcode

Definition at line 840 of file regint.h.

## ◆ pkeep

UChar* _OnigStackType::pkeep

Definition at line 846 of file regint.h.

## ◆ pstr

UChar* _OnigStackType::pstr

Definition at line 841 of file regint.h.

## ◆ pstr_prev

UChar* _OnigStackType::pstr_prev

Definition at line 842 of file regint.h.

## ◆ ret_addr

UChar* _OnigStackType::ret_addr

Definition at line 869 of file regint.h.

## ◆ si

OnigStackIndex _OnigStackType::si

Definition at line 854 of file regint.h.

## ◆ start

OnigStackIndex _OnigStackType::start

Definition at line 860 of file regint.h.

## ◆ type

unsigned int _OnigStackType::type

Definition at line 836 of file regint.h.

The documentation for this struct was generated from the following file:

- regint.h